# array_combine

(PHP 5, PHP 7, PHP 8)

array_combine — Erzeugt ein Array, indem es ein Array für die Schlüssel und ein anderes für die Werte verwendet

### Beschreibung

array_combine(array `$keys`, array `$values`): array

Erzeugt ein Array, in dem die Werte des `keys`-Arrays als Schlüssel und die Werte aus dem `values`-Array als die zugehörigen Werte verwendet werden.

### Parameter-Liste

`keys`

  Array mit den zu verwendenden Schlüsseln. Für Schlüssel ungültige Werte werden in einen String umgewandelt.

`values`

  Array mit den zu verwendenden Werten

### Rückgabewerte

Gibt das kombinierte Array zurück.

### Fehler/Exceptions

Seit PHP 8.0.0 wird ein ValueError ausgelöst, wenn die Anzahl der Elemente in `keys` und `values` nicht übereinstimmt. Vor PHP 8.0.0 wurde stattdessen ein Fehler der Stufe `E_WARNING` ausgegeben.

### Changelog

Version | Beschreibung
--- | ---
8.0.0 | array_combine() löst nun einen ValueError aus, wenn die Anzahl der Elemente der Arrays nicht gleich ist; vorher gab diese Funktion stattdessen `false` zurück.

### Beispiele

Beispiel #1 Ein einfaches array_combine()-Beispiel

`<?php
$a = array('gruen', 'rot', 'gelb');
$b = array('avocado', 'apfel', 'banane');
$c = array_combine($a, $b);
print_r($c);
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    Array
    (
        [gruen] => avocado
        [rot] => apfel
        [gelb] => banane
    )

### Siehe auch

- array_merge() - Führt zwei oder mehr Arrays zusammen
- array_walk() - Wendet eine vom Benutzer gelieferte Funktion auf jedes Element eines Arrays an
- array_values() - Liefert alle Werte eines Arrays
- array_map() - Wendet eine Callback-Funktion auf die Elemente von Arrays an

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open